import os

LANGUAGE_CODE = 'en'
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.%s' % os.environ['DB_ENGINE'],
        'TEST': {
            'NAME': 'a2-kerberos-test',
        },
    }
}

if 'postgres' in DATABASES['default']['ENGINE']:
    for key in ('PGPORT', 'PGHOST', 'PGUSER', 'PGPASSWORD'):
        if key in os.environ:
            DATABASES['default'][key[2:]] = os.environ[key]

ALLOWED_HOSTS = ['localhost']
A2_AUTH_KERBEROS_ENABLE = True
